RageRaidMaps = CreateFrame("Frame", nil, UIParent, BackdropTemplateMixin and "BackdropTemplate")
HideUIPanel(RageRaidMaps)

RageRaidMaps:SetFrameStrata("DIALOG")
RageRaidMaps:SetWidth(1005)
RageRaidMaps:SetHeight(700)
local t1 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t1:SetPoint("TOPLEFT",0,0)
local t2 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t2:SetPoint("TOPLEFT",256,0)
local t3 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t3:SetPoint("TOPLEFT",512,0)
local t4 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t4:SetPoint("TOPLEFT",768,0)
local t5 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t5:SetPoint("TOPLEFT",0,-256)
local t6 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t6:SetPoint("TOPLEFT",256,-256)
local t7 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t7:SetPoint("TOPLEFT",512,-256)
local t8 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t8:SetPoint("TOPLEFT",768,-256)
local t9 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t9:SetPoint("TOPLEFT",0,-512)
local t10 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t10:SetPoint("TOPLEFT",256,-512)
local t11 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t11:SetPoint("TOPLEFT",512,-512)
local t12 = RageRaidMaps:CreateTexture(nil,"BACKGROUND",nil,-8)
t12:SetPoint("TOPLEFT",768,-512)


RageRaidMaps:SetPoint("CENTER",0,0)
RageRaidMaps:SetMovable(true)
RageRaidMaps:EnableMouse(true)
RageRaidMaps:SetScript("OnMouseDown",function()
    RageRaidMaps:StartMoving()
  end)
RageRaidMaps:SetScript("OnMouseUp",function()
    RageRaidMaps:StopMovingOrSizing()
  end)

RageRaidMaps.closeButton = CreateFrame("Button", nil, RageRaidMaps, "UIPanelButtonTemplate")
RageRaidMaps.closeButton:SetWidth(15)
RageRaidMaps.closeButton:SetHeight(15)
RageRaidMaps.closeButton:SetText("X")
RageRaidMaps.closeButton:SetPoint("TOPRIGHT", -10,-10)
RageRaidMaps.closeButton:SetScript("OnClick", function()
	RageRaidMaps:Hide()
end)

SLASH_RageRaidMaps1 = '/map'
SLASH_RageRaidMaps2 = '/RageRaidMaps'



function SlashCmdList.RageRaidMaps(msg)
	local UnitMap = C_Map.GetBestMapForUnit("player")
	
	if (UnitMap == 330 or UnitMap == 331 or UnitMap == 332 or UnitMap == 334) then --only open if player is in gruulslair, magtheridon, ssc or tk
		getMapParts(UnitMap)
		ShowUIPanel(RageRaidMaps)
	else
		print("Map can only be displayed in 25 raid.");
	end
end

SLASH_RELOAD1 = '/rl'
function SlashCmdList.RELOAD(msg)
	ReloadUI()
end


function getMapParts(mapId)
	if (mapId == 330) then --Gruul
		t1:SetTexture("interface/worldmap/gruulslair/gruulslair1_1.blp");
		t2:SetTexture("interface/worldmap/gruulslair/gruulslair1_2.blp");
		t3:SetTexture("interface/worldmap/gruulslair/gruulslair1_3.blp");
		t4:SetTexture("interface/worldmap/gruulslair/gruulslair1_4.blp");
		t5:SetTexture("interface/worldmap/gruulslair/gruulslair1_5.blp");
		t6:SetTexture("interface/worldmap/gruulslair/gruulslair1_6.blp");
		t7:SetTexture("interface/worldmap/gruulslair/gruulslair1_7.blp");
		t8:SetTexture("interface/worldmap/gruulslair/gruulslair1_8.blp");
		t9:SetTexture("interface/worldmap/gruulslair/gruulslair1_9.blp");
		t10:SetTexture("interface/worldmap/gruulslair/gruulslair1_10.blp");	
		t11:SetTexture("interface/worldmap/gruulslair/gruulslair1_11.blp");	
		t12:SetTexture("interface/worldmap/gruulslair/gruulslair1_12.blp");
	end
	if (mapId == 331) then --Magtheridon
		t1:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_1.blp");
		t2:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_2.blp");
		t3:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_3.blp");
		t4:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_4.blp");
		t5:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_5.blp");
		t6:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_6.blp");
		t7:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_7.blp");
		t8:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_8.blp");
		t9:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_9.blp");
		t10:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_10.blp");	
		t11:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_11.blp");	
		t12:SetTexture("interface/worldmap/magtheridonslair/magtheridonslair1_12.blp");
	end
	if (mapId == 332) then --SSC
		t1:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_1.blp");
		t2:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_2.blp");
		t3:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_3.blp");
		t4:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_4.blp");
		t5:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_5.blp");
		t6:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_6.blp");
		t7:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_7.blp");
		t8:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_8.blp");
		t9:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_9.blp");
		t10:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_10.blp");
		t11:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_11.blp");
		t12:SetTexture("interface/worldmap/coilfangreservoir/coilfangreservoir1_12.blp");
	end
	if (mapId == 334) then --TK
		t1:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_1.blp");
		t2:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_2.blp");
		t3:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_3.blp");
		t4:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_4.blp");
		t5:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_5.blp");
		t6:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_6.blp");
		t7:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_7.blp");
		t8:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_8.blp");
		t9:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_9.blp");
		t10:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_10.blp");
		t11:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_11.blp");
		t12:SetTexture("interface/worldmap/tempestkeep/tempestkeep1_12.blp");		
	end
end